package com.steerinfo.ems.tcm0315.model;

import io.swagger.annotations.ApiModelProperty;

public class VPowerPlanId {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value="监测计划ID",required=false)
    private String itemcode;

    @ApiModelProperty(value="监测计划",required=false)
    private String itemname;

    public String getItemcode() {
        return itemcode;
    }

    public void setItemcode(String itemid) {
        this.itemcode = itemcode == null ? null : itemcode.trim();
    }

    public String getItemame() {
        return itemname;
    }

    public void setItemname(String itemname) {
        this.itemname = itemname == null ? null : itemname.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", itemcode=").append(itemcode);
        sb.append(", itemname=").append(itemname);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}
